<!---
	csw-Scroll-Spy-container-rh.cfm

	12 Column Grid
		- Left Column: col-md-9 col-md-pull-3
		- Right Column: col-md-3 col-md-push-9
		
	Version: [2018-01-17 10:45]
--->

<cfscript>
 	// Create the Image Textblock Carousel Component
	csWidget = CreateObject('component','_cs_widgets.csw-scroll-spy.renderhandlers.csw-scroll-spy-container');
	
	// load necessary resources
	csWidget.loadResources(); 
	
	// exit if all we're doing is detecting required resources
	if ( Request.RenderState.RenderMode EQ "getResources" )
		exit;

	if ( NOT structKeyExists(attributes,'elementinfo') )
		exit;
		
	// Load the Properties from the metadata form		
	 props = csWidget.loadProperties(Attributes.ElementInfo,Variables.Caller);	
	
	// Make sure we have Props data
	if( NOT csWidget.hasProperties(props) )
		exit;
	
	// Run the function to run scroll spy.
	csWidget.renderScrollSpy(Attributes.ElementInfo, props);
</cfscript>
